##
##  xplanet.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         xplanet
Summary:      Planetary Image Render Program
URL:          http://xplanet.sourceforge.net/
Vendor:       Hari Nair
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        XWindow
License:      GPL
Version:      0.94
Release:      20021204

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/sourceforge/xplanet/xplanet-nomap-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021204, X11, gcc, freetype, jpeg, png, tiff
PreReq:       OpenPKG, openpkg >= 20021204, X11
AutoReq:      no
AutoReqProv:  no

%description
    Xplanet was inspired by Xearth, which renders an image of the earth into
    the X root window. Azimuthal, Mercator, Mollweide, orthographic, or
    rectangular projections can be shown. The other planets and some
    satellites may also be displayed.

    One can retrieve suitable maps e.g. at ...
    o http://www.radcyberzine.com/xglobe/
    o http://www.vterrain.org/Imagery/whole_earth.html
    o http://gw.marketingden.com/planets/planets.html
    Take a look at the xplanet home page for more details.

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O} -Wno-deprecated" \
    CPPFLAGS="%{l_cppflags} -I%{l_prefix}/include/tiff" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-x \
        --x-includes=`%{l_prefix}/etc/rc --query x11_incdir` \
        --x-libraries=`%{l_prefix}/etc/rc --query x11_libdir` \
        --with-freetype \
        --with-jpeg \
        --with-png \
        --with-tiff \
        --without-gif \
        --without-pnm \
        --disable-screensaver \
        --without-animation \
        --without-gl \
        --without-glut
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O} -Wno-deprecated" \
    CPPFLAGS="%{l_cppflags} -I%{l_prefix}/include/tiff" \
    LDFLAGS="%{l_ldflags}" \
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags}  install prefix=$RPM_BUILD_ROOT%{l_prefix}
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/tkxplanet
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/tzcoord.pl
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/tkxplanet.1
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/tzcoord.pl.1
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/xplanet/markers/locale
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

